<!--  
===============LICENSE_START=======================================================
Graphene Apache-2.0
===================================================================================
Copyright (C) 2019 AT&T Intellectual Property & Tech Mahindra. All rights reserved.
===================================================================================
This Graphene software file is distributed by AT&T and Tech Mahindra
under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
 
     http://www.apache.org/licenses/LICENSE-2.0
 
This file is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
===============LICENSE_END=========================================================
-->

<!-- Modal box Add Peer start -->
<div>
	<md-dialog aria-label="Catalog Delete Modal" style="width:600px;">
		<md-toolbar>
			<div class="md-toolbar-tools">
				<h2>Delete Confirmation "{{catalog.name}}"</h2>
				<span flex></span>
				<md-button class="md-icon-button" ng-click='closePoup()'>
				<i class="material-icons">close</i> </md-button>
			</div>
		</md-toolbar>
		<md-dialog-content>
			<div class="md-dialog-content">
				<span ng-if="catalog.solutionCount>0">"{{catalog.name}}" contains {{catalog.solutionCount}} model{{(catalog.solutionCount!=1)?'s':''}}.</span>
				<span>Are you sure that you wish to delete "{{catalog.name}}"?</span>
			</div>
		</md-dialog-content>
		<md-dialog-actions>
			<div class="dialog-footer-container1">
				<button class="mdl-button mdl-js-button btn-secondary" alt="Cancel"
					title="Cancel" ng-click="closePoup()">Cancel</button>
				<button class="mdl-button mdl-js-button btn-primary btn-gap"
					alt="Delete" title="Delete"
					ng_click="parent.deleteCatalog(catalog)">Confirm</button>
			</div>
		</md-dialog-actions>
	</md-dialog>
</div>
<!-- Modal box end -->